/*
**++
**  FACILITY:
**      NEWSINCLUDE
**
**  ABSTRACT:
**      Common NEWS include modules
**
**  AUTHOR:
**      Geoff Huston
**
**  COPYRIGHT:
**      Copyright  1988,1989,1990
**--
**/

#ifndef _NEWSINCLUDE_H
#define _NEWSINCLUDE_H

				/* use the "new" mem management routines */
#define malloc 	VAXC$MALLOC_OPT
#define calloc 	VAXC$CALLOC_OPT
#define realloc VAXC$REALLOC_OPT
#define free	VAXC$FREE_OPT
#define cfree	VAXC$CFREE_OPT

/* DEBUG CODE ---- used to check mem allocation calls only

#define malloc 	test_malloc
#define calloc 	test_calloc
#define realloc test_realloc
#define free	test_free
#define cfree	test_cfree
*/

                                /* VMS INCLUDE MODULES */
#if vax11c

#include clidef
#include climsgdef
#include ctype
#include descrip
#include jpidef
#include prvdef
#include rms
#include setjmp
#include smgdef
#include smgmsg
#include smg$routines	/* optional; delete if old compiler doesn't have it */
#include ssdef
#include stat
#include stdio
#include stdlib
#include string
#include syidef
#include time
#include unixio
#include unixlib
#include assert

#else	/*!vax11c*/

#include <clidef.h>
#include <climsgdef.h>
#include <ctype.h>
#include <descrip.h>
#include <jpidef.h>
#include <prvdef.h>
#include <rms.h>
#if defined(__GNUC__) && !defined(xab$w_pos)
# define xab$w_pos0 xab$w_pos[0]
# define xab$b_siz0 xab$b_siz[0]
# define xab$w_pos1 xab$w_pos[1]
# define xab$b_siz1 xab$b_siz[1]
#endif
#include <setjmp.h>
#include <smgdef.h>
#include <smgmsg.h>
#include <smg$routines.h>   /* optional; delete if missing */
#include <ssdef.h>
#ifdef	__GNUC__
#include <sys/stat.h>
#else
#include <stat.h>
#endif
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <syidef.h>
#include <time.h>
#include <unixio.h>
#include <unixlib.h>
#include <assert>

/* We expect tolower() to be the version that returns its argument if it is
 * not uppercase.  This version is usually a library routine, while the other
 * version is usually a macro.  Tim Cook 6 Apr 1990 */

#ifdef	tolower
#undef	tolower
#endif
#ifdef	toupper
#undef	toupper
#endif

#endif	/*?vax11c*/

#endif	/* _NEWSINCLUDE_H */
